#include <linux/config.h>
#include <linux/types.h>
#include <linux/kdev_t.h>
#include <linux/console.h>
#include <linux/init.h>
#include <linux/kernel.h>

#if 0217 & 0
#define _SYS_TYPES_H_
#define _sys_types_h
#define off_t _zoff_t
#define time_t _ztime_t
#include <zheaders.h>
#endif
#define FileHandle int

#define SERIAL_DEVICE "COM0:/B9600/P0/L8/S1/C1/X0/J0/W 100"

#if 0

FileHandle file_handle;

static void zausrc_write (struct console *console, const char *buf, unsigned int length)
{
#if 0
	unsigned long ret;
	while(length--){
		if ((ret = FileByteWrite(file_handle, *(buf++))) != 0)
			zau_print_ptr((void*)ret);
	}
#endif
}


__asm__(".balign 4");

static struct console zausrc_console = {
	"zsr",
	zausrc_write,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	CON_PRINTBUFFER,
	-1,
};
	
int __init zausrc_init()
{
	file_handle = FileOpen (SERIAL_DEVICE, W_OPEN);
	if (file_handle < 0){
		printk ("zausrc: device " SERIAL_DEVICE " open failed (0x%08X)\n", file_handle);
		return -1;
	}
	register_console(&zausrc_console);

	printk (KERN_INFO "zausrc: zausrc console driver installed (0x%08X)\n", file_handle);

	return 0;
}

// __initcall (zausrc_init);

#endif
