#include <linux/config.h>
#include <linux/types.h>
#include <linux/kdev_t.h>
#include <linux/console.h>
#include <linux/init.h>
#include <linux/kernel.h>


extern void zxlogwin_write(const char*,unsigned int);


static void zaumsc_write(struct console *console, const char *buf, unsigned int length)
{
	zauview_write(buf,length);
}


__asm__(".balign 4");

static struct console zaumsc_console = {
	"zsc",
	zaumsc_write,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	CON_PRINTBUFFER,
	-1,
};


int __init zaumsc_init(void)
{
	//zxview_init();
	register_console(&zaumsc_console);
	printk (KERN_INFO "zaumsc: zaumsc console driver installed\n");
	return 0;
}


#if 0

void zau_print(char* str, size_t len);
void zau_print_ptr(void* p);


void zau_print(char* str, size_t len)
{
	zaumsc_write(NULL, str, len);
}


void zau_print_ptr(void* p)
{
	char sym[] = {
		'0', '1', '2', '3', '4', '5', '6', '7',
		'8', '9', 'A', 'B', 'C', 'D', 'E', 'F'
	};
	char buf[8];
	unsigned long ptr = (unsigned long)p;
	int i;

	for (i = 7; i >= 0; i--){
		buf[i] = sym[ptr & 0xF];
		ptr >>= 4;
	}

	zau_print(buf, 8);
}

#endif

	
//__initcall (zaumsc_init);
