#ifndef __ASM_SH_CURRENT_H
#define __ASM_SH_CURRENT_H

/*
 * Copyright (C) 1999 Niibe Yutaka
 *
 */

#define PROC_FORK_STACK_SIZE (0x3600)
#define CURRENT_MASK (~0x1fff)

struct task_struct;

static __inline__ struct task_struct * get_current(void)
{
	struct task_struct *current;
#if 0121
 	//current = (struct task_struct*)(((unsigned long)&current) & ~0x1fff);
 	current = (struct task_struct*)(((unsigned long)&current) & CURRENT_MASK);
#else
	current = *(struct task_struct**)((((unsigned long)&current) & ~0x3fff) + 0x37d8);
#endif
	return current;
}


#if 0
static __inline__ unsigned long target_procname(struct task_struct *task)
{
#if 0
//printk("target_procname(%x)->%x,%x\n",task,task->thread.procname,task->thread.sys_procname);
	if(task->thread.procname != 0){
		return task->thread.procname;
	}else{
		return task->thread.sys_procname;
	}
#else
	return task->thread.procname;
#endif
}
#endif


extern int procname_seq;

static __inline__ unsigned long gen_username(int pid)
{
 	return (++procname_seq & 0xffff) | 0x4c500000;
}


#define current get_current()

#endif /* __ASM_SH_CURRENT_H */
